Bug 219915 - Review Request: kio_resources - Kio_resources provides the "resources" protocol for KDE
Review Request: kio_resources - Kio_resources provides the "resources" protoc...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-16 06:10 EST by Chitlesh GOORAH
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-03 07:54:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2006-12-16 06:10:01 EST
Spec URL: http://tux.u-strasbg.fr/~chit/kio_resources/kio_resources.spec
SRPM URL: http://tux.u-strasbg.fr/~chit/kio_resources/kio_resources-0.2-1.src.rpm
Description:

kio_resources provides the "resources" protocol for KDE.
It allows you to browse all installed files in the standard
search paths (generally .kde and /usr). The general format
of a resources URL is resources:/resource-type[/relative-path].
Thus, to view all wallpapers installed on your system, both in
your home directory and in the KDE installation path, you type
resources:/wallpaper. If you simply want to look through all
the available resource types, use resources:/.
Comment 1 Johan Cwiklinski 2006-12-30 08:24:27 EST
== Not an official review as I'm not yet sponsored ==

The spec file seems to be ok.
rpmlint's out is clean, packages build correctly with mock.
Comment 2 Karol Trzcionka 2006-12-30 10:00:44 EST
It is prereview, I am not sponsored.

Rpmlint return NULL, so OK. I didn't check build with mock, but under normal
user it built correct.
I think You should use macros in source-url.
26521-kio_resources-0.2.tar.bz2
change for example:
26521-%(name)-%{version}.tar.bz2

And the last: Is kdebase realy needed by this package?
Comment 3 Chitlesh GOORAH 2006-12-30 10:29:53 EST
(In reply to comment #2)
> I think You should use macros in source-url.
> 26521-kio_resources-0.2.tar.bz2
> change for example:
> 26521-%(name)-%{version}.tar.bz2

to please you, I'll modify it for the next release since it is not really a blocker
 
> And the last: Is kdebase realy needed by this package?

This package is useless without konqueror
chitlesh(~)[1]$whereis konqueror
konqueror: /usr/bin/konqueror
chitlesh(~)[1]$rpm -qf /usr/bin/konqueror
kdebase-3.5.5-0.4.fc6
Comment 4 Rex Dieter 2007-01-01 12:07:54 EST
I'll review this.
Comment 5 Rex Dieter 2007-01-01 12:24:21 EST
Pretty simple and straight-forward.
* builds in mock environment.
* MUST: SOURCE matches upstream

APPROVED.

I'll leave these up to you to consider:
* SHOULD: Summary shouldn't include pkg name (ie, don't include Kio_resources)
* SHOULD: Description is too long, imo.  Could probably omit 2nd paragraph.

 
Comment 6 Chitlesh GOORAH 2007-01-01 12:39:26 EST
Thanks Rex :)

* Mon Jan 01 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.2-2
- Removed package name from summary
- Fixed description, since it was too long

Note You need to log in before you can comment on or make changes to this bug.